ReflectionParameter::getClass
ReflectionParameter::getDeclaringFunction
ReflectionParameter
PHP Manual

# ReflectionParameter::getDeclaringClass

(PHP 5)

ReflectionParameter::getDeclaringClass — Gets declaring class

### Description

public ReflectionClass ReflectionParameter::getDeclaringClass ( void )

Gets the declaring class.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

A ReflectionClass object.

### Examples

Example #1 Getting the class that declared the method

`<?php
class Foo
{
public function bar(\DateTime $datetime)
{
}
}
class Baz extends Foo
{
}
$param = new \ReflectionParameter(['Baz', 'bar'], 0);
var_dump($param->getDeclaringClass());`

The above example will output:

    object(ReflectionClass)#2 (1) {
      ["name"]=>
      string(3) "Foo"
    }

### See Also

- ReflectionParameter::getClass() - Get the type hinted class

ReflectionParameter::getClass
ReflectionParameter::getDeclaringFunction
ReflectionParameter
PHP Manual